package com.kym.service;

import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.Role;

import java.util.List;


/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-09-23
 */
public interface RoleService extends MPJBaseService<Role> {

    Object listRole(String roleName);

    Object add(Role role);

    void modify(Role role);

    void remove(int id);

    void saveList(List<Role> roleList);

    Role detail(int id);
}
